Bug 246011 - alsa-lib should own /usr/lib/alsa-lib/smixer/ directory
alsa-lib should own /usr/lib/alsa-lib/smixer/ directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 16:38 EDT by petrosyan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 06:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-06-27 16:38:42 EDT
Description of problem:
alsa-lib is the only package that uses /usr/lib/alsa-lib/smixer directory. To
confirm this you can run "yum provides /usr/lib/alsa-lib/smixer/*". According to
packaging guidelines it should own /usr/lib/alsa-lib/smixer/ directory.

http://fedoraproject.org/wiki/Packaging/Guidelines#head-a5931a7372c4a00065713430984fa5875513e6d4

Version-Release number of selected component (if applicable):

alsa-lib-1.0.14-0.4.rc3.fc7
alsa-lib-1.0.14-0.4.fc8

How reproducible:
Always

Steps to Reproduce:
1. rpm -qf /usr/lib/alsa-lib/smixer/
2. rpm -ql alsa-lib
Comment 1 petrosyan 2007-06-27 16:45:39 EDT
right now
/usr/lib/alsa-lib
and
/usr/lib/alsa-lib/smixer
directories are owned by alsa-lib-devel package. However alsa-lib-devel package
does not store any files in those directories. All the files in those
directories are owned by alsa-lib package.
Comment 2 Martin Stransky 2007-07-25 06:43:35 EDT
Fixed in alsa-lib-1.0.14-1.fc8.

Note You need to log in before you can comment on or make changes to this bug.